## ros-kinetic-yocs-msgs 0.6.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_msgs)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs std_msgs geometry_msgs std_srvs message_generation)

add_message_files(FILES ARPair.msg
                        ARPairList.msg
                        Wall.msg
                        WallList.msg
                        Column.msg
                        ColumnList.msg
                        NavigationControl.msg
                        NavigationControlStatus.msg
                        Table.msg
                        TableList.msg
                        Trajectory.msg
                        TrajectoryList.msg
                        Waypoint.msg
                        WaypointList.msg)

add_service_files(FILES WaypointListService.srv)

add_action_files(
  DIRECTORY action
  FILES
  NavigateTo.action
  DockingInteractor.action
  Localize.action
)

generate_messages(DEPENDENCIES actionlib_msgs std_msgs geometry_msgs std_srvs)

catkin_package(CATKIN_DEPENDS actionlib_msgs std_msgs geometry_msgs std_srvs message_runtime)

=== debian/changelog ===
ros-kinetic-yocs-msgs (0.6.3-0xenial) xenial; urgency=high

  * Merge branch 'indigo' into update
  * add distortion
  * add more commands
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-yocs-msgs (0.6.2-0xenial) xenial; urgency=high

  * merging waypoint messages
  * Merge branch 'indigo-devel' of https://github.com/yujinrobot/yocs_msgs into indigo-devel
  * add extra commands to implement later
  * add feedback message level
  * add localization manager action
  * add docking interactor action
  * improves comments and adds more states for nav ctrl msgs
  * adds new trajectory and nav ctrl messages
  * adds Trajectory message
  * Merge pull request #4 <https://github.com/yujinrobot/yocs_msgs/issues/4> from yujinrobot/indigo
    Sync with indigo
  * add remain_time
  * change time from int to float
  * add timeout for goal
  * add distance field
  * add distance variable
  * add navigateto action
  * updating package info. remove email for author. update maintainer
  * Contributors: Jihoon Lee, Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 23 Nov 2014 15:00:00 -0000

ros-kinetic-yocs-msgs (0.6.1-0xenial) xenial; urgency=high

  * Merge pull request #3 <https://github.com/yujinrobot/yocs_msgs/issues/3> from yujinrobot/ar_pair
  * ar pair messages
    remove update ar pair service. instead creates ar pair list
  * Merge pull request #1 <https://github.com/yujinrobot/yocs_msgs/issues/1> from yujinrobot/waypoints
    Waypoints
  * success flag
  * add waypoint service
  * waypoint list added
  * version bump for igloo development
  * Add extra messages containing semantic map objects.
  * Contributors: Jihoon Lee, Jorge Santos, Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 30 Jun 2014 15:00:00 -0000

ros-kinetic-yocs-msgs (0.5.2-0xenial) xenial; urgency=high

  * Move YOCS messages to its own stack.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.5.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.5.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.4.1-0xenial) xenial; urgency=high

  * Initial version: migrated here from https://github.com/yujinrobot/kobuki-x

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.4.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 23 Sep 2013 02:17:00 -0000

ros-kinetic-yocs-msgs (0.3.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.2.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 23 Sep 2013 02:23:00 -0000

ros-kinetic-yocs-msgs (0.2.2-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.2.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.2.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.1.3-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.1.2-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-kinetic-yocs-msgs (0.1.1-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-kinetic-yocs-msgs (0.1.0-0xenial) xenial; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-yocs-msgs
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/yocs_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-yocs-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib-msgs, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: Yujin's Open Control System messages, services and actions

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-yocs-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
